Subject: Re: [bug#31934] [PATCH] services: sound: Properly handle alsa-plugins.

From: [email-masked] (宋文武)
Date: Mon, 25 Jun 2018 23:34:13 +0800

Oleg Pykhalov <[email-masked]> writes:

> Hello,
>
> [email-masked] (宋文武) writes:
>
>> Julien Lepiller <[email-masked]> writes:
>
> […]
>
>> Hello, after some hours of searching...  I found that we can use the
>> 'lib' option in 'pcm_type' and 'ctl_type' to specify the library path
>> for alsa plugins, e.g:
>
> Thats a nice hack :-)  Thank you for working on this.
>
> […]
>
>> So I think we can make our 'alsa-service' do this, instead of patching
>> alsa-lib for 'ALSA_PLUGIN_DIR'.
>
> Done.  Here is a patch which I tested on my machine by ‘system reconfigure’:
>

Thank you, I modified it to keep the 'pulseaudio? #f' function, and
pushed :-)